import gtk
import gtk.glade

# The new task assistant's class.
class PyAtCronNewTask:

	def __init__ (self, parent):

		# We load the widgets and the callbacks from the glade file.
		self.widgetTree = gtk.glade.XML ("newtask.glade", "newtask")
		dic = {
						"on_newtask_delete_event" : self.deleteEvent,
						"on_cancel_button_clicked" : self.cancelClicked
					}
		self.widgetTree.signal_autoconnect (dic)

		# It's the base widget.
		self.win = self.widgetTree.get_widget ("newtask")

		# If a parent is specified, center the window on it.
		if parent:
			self.win.set_transient_for (parent)
			self.win.set_position (gtk.WIN_POS_CENTER_ON_PARENT)

		# Sets the color of the title bar.
		self.widgetTree.get_widget("eventbox1").modify_bg (gtk.STATE_NORMAL, gtk.gdk.color_parse("#707070"))

		# Makes the back button insensitive.
		self.widgetTree.get_widget("back_button").set_sensitive (False)

		# Displays the assistant.
		self.win.show ()

	def deleteEvent (self, event, obj):
		self.quit ()

	def cancelClicked (self, obj):
		self.quit ()

	# Unreferences the main window's widgets.
	def quit (self):
		self.win.destroy ()
